<?php

function getStatus($paramin,$paramout){
	
$user     = '';
$password = '';


$conn_resource = i5_connect('127.0.0.1',$user,$password );
if($conn_resource === false){
    echo "Connection failed. SQL Err:" . i5_errno();
    echo "<br>";
    echo  i5_errormsg();
    exit();
}

$desc = array (
array ("name"=>"HOST", "io"=>I5_IN, "type" => I5_TYPE_CHAR, "length"=> "32"),
array ("name"=>"PORT", "io"=>I5_IN, "type" => I5_TYPE_CHAR, "length"=> "6"),
array ("name"=>"STATUS", "io"=>I5_OUT, "type" => I5_TYPE_CHAR, "length"=> "1")
);
$prog = i5_program_prepare("MOBILE/CHK_PORT", $desc);
if ($prog === FALSE)
{
   $errorTab = i5_error();
   echo "Program prepare failed <br>\n";
   var_dump($errorTab);
   die();
}

/* Execute Program */

$ret = i5_program_call($prog, $paramin, $paramout);

if ($ret === FALSE)
{
   $errorTab = i5_error();
   echo "FAIL : i5_program_call failure code <br>";
   var_dump($errorTab);
   die();
}

if ($var1 == 1)
  $status = "Online";

if ($var1 == 0)
	 $status = "Offline";


// Close program call
i5_program_close($prog);

// Close connection
i5_close($conn_resource);

return $status;

}
?>